Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Class SimpleAuthenticator

    java.lang.Object
      org.apache.cassandra.auth.SimpleAuthenticator

All Implemented Interfaces:
  IAuthenticator

    public class SimpleAuthenticator

extends java.lang.Object
implements IAuthenticator

Nested Class Summary
`static class` | `SimpleAuthenticator.PasswordMode`

Field Summary
`static java.lang.String` | `ACCESS_FILENAME_PROPERTY`
`static java.lang.String` | `PASSWD_FILENAME_PROPERTY`
`static java.lang.String` | `PASSWORD_KEY`
`static java.lang.String` | `PMODE_PROPERTY`
`static java.lang.String` | `USERNAME_KEY`

Constructor Summary
`SimpleAuthenticator()`

Method Summary
`void` | `login(java.lang.String keyspace, AuthenticationRequest authRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PASSWD_FILENAME_PROPERTY

    public static final java.lang.String PASSWD_FILENAME_PROPERTY

See Also:
  Constant Field Values

### ACCESS_FILENAME_PROPERTY

    public static final java.lang.String ACCESS_FILENAME_PROPERTY

See Also:
  Constant Field Values

### PMODE_PROPERTY

    public static final java.lang.String PMODE_PROPERTY

See Also:
  Constant Field Values

### USERNAME_KEY

    public static final java.lang.String USERNAME_KEY

See Also:
  Constant Field Values

### PASSWORD_KEY

    public static final java.lang.String PASSWORD_KEY

See Also:
  Constant Field Values

Constructor Detail

### SimpleAuthenticator

    public SimpleAuthenticator()

Method Detail

### login

    public void login(java.lang.String keyspace,
                      AuthenticationRequest authRequest)
               throws AuthenticationException,
                      AuthorizationException

  Specified by:
    `login` in interface `IAuthenticator`
  Throws:
    `AuthenticationException`
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation